Subject: bug#17973: Thin space not thin at all

From: [email-masked] (K. Handa)
Date: Thu, 10 Jul 2014 23:28:42 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> So, IIUC you're saying that when we get to selecting a font, we have
> specifications such as

>   family = fixed
>   foundry = misc
>   height = 2½ pixels

> and we end up choosing the 13pixel-high font because it's the only one
> that matches "misc-fixed"?

Yes.  At least that is what I observed in my environment.

> I do have a 6pixel-high misc-fixed font

Hmmm, then your environment is different from mine.

> (tho not semicondensed), so it seems like it's not the
> whole explanation.

Do you customize face-font-selection-order?  It's default
value is (:width :height :weight :slant), which means that
the function font_select_entity (called from
font_find_for_lface) selects a font whose :width is
semicondensed even if that font has very different height
from what specified.

> Or is the "13pixel high" specification kept somewhere (elsewhere than in
> the "height", obviously)?

I don't think so.

> OTOH, doing a M-x customize-face REt default RET, then setting family to
> `fixed' and foundry to `misc', and then playing with `height' is pretty
> scary: height=2000 gives me a 9pixel-high font (!) whereas setting it to
> 200 gives a more reasonable 20pixel-high font.

Ummm, then perhaps font_score has a bug.  As far as I
remember, that function treats such a very big font size
specially.  I'll check the code.

---
Kenichi Handa
[email-masked]